/*
 * rgb133pci.h
 *
 * Copyright (c) 2009 Datapath Ltd. All rights reserved.
 *
 * All information contained herein is proprietary and
 * confidential to Datapath Ltd. and is licensed under
 * the terms of the Datapath Ltd. Software License.
 * Please read the LICENCE file for full license terms
 * and conditions.
 *
 * http://www.datapath.co.uk/
 * support@datapath.co.uk
 *
 */

#ifndef RGB133PCI_H_
#define RGB133PCI_H_

#define DGC_PCI_VENDOR_ID              0xDADA
#define DGC_PCI_SUBSYSTEM_VENDOR_ID    0xDADA

#define DGC133_PCI_DEVICE_ID           0x0133
#define DGC139_PCI_DEVICE_ID           0x0139
#define DGC144_PCI_DEVICE_ID           0x0144
#define DGC150_PCI_DEVICE_ID           0x0150
#define DGC151_PCI_DEVICE_ID           0x0151
#define DGC153_PCI_DEVICE_ID           0x0153
#define DGC154_PCI_DEVICE_ID           0x0154
#define DGC159_PCI_DEVICE_ID           0x0159
#define DGC161_PCI_DEVICE_ID           0x0161
#define DGC165_PCI_DEVICE_ID           0x0165
#define DGC167_PCI_DEVICE_ID           0x0167
#define DGC168_PCI_DEVICE_ID           0x0168
#define DGC179_PCI_DEVICE_ID           0x0179
#define DGC182_PCI_DEVICE_ID           0x0182
#define DGC184_PCI_DEVICE_ID           0x0184
#ifdef INCLUDE_VISIONLC
#define DGC186_PCI_DEVICE_ID           0x0186
#define DGC199_PCI_DEVICE_ID           0x0199
#endif

# define DGC133_PCI_SUBSYS_DEVICE_ID    0x0133   /* Datapath VisionRGB-X2 */
# define DGC139_PCI_SUBSYS_DEVICE_ID    0x0139   /* Datapath VisionRGB-E1 */
# define DGC1139_PCI_SUBSYS_DEVICE_ID   0x1139   /* Datapath VisionRGB-E1S */
# define DGC144_PCI_SUBSYS_DEVICE_ID    0x0144   /* Datapath VisionSD8 */
# define DGC150_PCI_SUBSYS_DEVICE_ID    0x0150   /* Datapath VisionRGB-E2 */
# define DGC1150_PCI_SUBSYS_DEVICE_ID   0x1150   /* Datapath VisionRGB-E2S */
# define DGC151_PCI_SUBSYS_DEVICE_ID    0x0151   /* Datapath VisionSD4+1 */
# define DGC1151_PCI_SUBSYS_DEVICE_ID   0x1151   /* Datapath VisionSD4+1S */
# define DGC1153_PCI_SUBSYS_DEVICE_ID   0x1153   /* Datapath VisionDVI-DL */
# define DGC1154_PCI_SUBSYS_DEVICE_ID   0x1154   /* Datapath VisionSDI2 */
# define DGC159_PCI_SUBSYS_DEVICE_ID    0x0159   /* Datapath VisionAV */
# define DGC161_PCI_SUBSYS_DEVICE_ID    0x0161   /* DGC161 */
# define DGC165_PCI_SUBSYS_DEVICE_ID    0x0165   /* DGC165 */
# define DGC167_PCI_SUBSYS_DEVICE_ID    0x0167   /* DGC167 */
# define DGC168_PCI_SUBSYS_DEVICE_ID    0x0168   /* DGC168 */
# define DGC179_PCI_SUBSYS_DEVICE_ID    0x0179   /* DGC179 */
# define DGC182_PCI_SUBSYS_DEVICE_ID    0x0182   /* DGC182 */
# define DGC184_PCI_SUBSYS_DEVICE_ID    0x0184   /* DGC182 */
#ifdef INCLUDE_VISIONLC
# define DGC186_PCI_SUBSYS_DEVICE_ID    0x0186   /* DGC186 */
# define DGC199_PCI_SUBSYS_DEVICE_ID    0x0199   /* DGC199 */
#endif

#endif /*RGB133PCI_H_*/
