#ifndef __RGB133TIMER__H
#define __RGB133TIMER__H

#include "rgb_api_types.h"

void rgb133_init_timer(struct timer_list* pTimer);
void rgb133_setup_timer(struct timer_list* pTimer,
      void (*function)(unsigned long), unsigned long data);
int rgb133_mod_timer(PTIMERAPI _pTimer, unsigned long expires_ms);
void rgb133_del_timer(struct timer_list* pTimer);
int rgb133_timer_pending(struct timer_list* pTimer);

#endif /* __RGB133TIMER__H */
