/*
 * CaptureError.h
 *
 * Copyright (c) 2011 Datapath Ltd.
 *
 * This file forms part of the Vision driver capture
 * application sample source code.
 *
 * Purpose: Declares capture app error related definitions.
 *
 */

typedef enum
{
   CAPERROR_NOERROR = 0,
   CAPERROR_CMDLINE,
   CAPERROR_CMDLINEVALUES,
   CAPERROR_OPENDEVICE,
   CAPERROR_OPENCONTROLDEVICE,
   CAPERROR_INITCAPTURE,
   CAPERROR_UNINITCAPTURE,
   CAPERROR_STARTCAPTURE,
} CAPERROR;
